
#include "files.hpp"
#include <fstream>
#include <sstream>

std::string Files::load(const std::string& path)
{
	std::ifstream file(path);
	std::stringstream ss;
	char buff[1024];

	while(!file.eof())
	{
		file.read(buff, 1024);
		ss.write(buff, file.gcount());
	}

	return ss.str();
}

